Login with password
Login with password
curl --request POST \
--url https://platform.verolabs.co/api/auth/login \
--header 'Content-Type: application/json' \
--data '
{
"identifier": "<string>",
"password": "<string>"
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({identifier: '<string>', password: '<string>'})
};
fetch('https://platform.verolabs.co/api/auth/login', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://platform.verolabs.co/api/auth/login"
payload = {
"identifier": "<string>",
"password": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://platform.verolabs.co/api/auth/login"
payload := strings.NewReader("{\n \"identifier\": \"<string>\",\n \"password\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}using RestSharp;
var options = new RestClientOptions("https://platform.verolabs.co/api/auth/login");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddJsonBody("{\n \"identifier\": \"<string>\",\n \"password\": \"<string>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
falseCURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "POST");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://platform.verolabs.co/api/auth/login");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Content-Type: application/json");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{\n \"identifier\": \"<string>\",\n \"password\": \"<string>\"\n}");
CURLcode ret = curl_easy_perform(hnd);{
"sessionToken": "<string>",
"jwt": "<string>",
"session": {
"id": "<string>",
"active": true,
"authenticated_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"devices": [
{
"ip_address": "<string>",
"location": "<string>",
"user_agent": "<string>"
}
],
"identity": {
"id": "<string>",
"traits": {}
},
"tokenized": "<string>"
},
"tokenizedSession": {
"id": "<string>",
"active": true,
"authenticated_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"devices": [
{
"ip_address": "<string>",
"location": "<string>",
"user_agent": "<string>"
}
],
"identity": {
"id": "<string>",
"traits": {}
},
"tokenized": "<string>"
},
"identity": {
"id": "<string>",
"traits": {}
}
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}Nội dung
Email identifier and password credentials.
Phản hồi
Active session and JWT
AuthLoginResponse schema.
Session token returned after authentication. Store it securely for session refresh and logout.
Bearer JWT returned for REST API calls.
Session object. The tokenized field is the Bearer JWT used for API calls.
Hide child attributes
Hide child attributes
Unique identifier for the record.
Indicates whether the session is active.
Timestamp when the session was authenticated.
Timestamp when the session expires.
Devices associated with the authenticated session.
Bearer JWT issued for REST API calls.
Session object. The tokenized field is the Bearer JWT used for API calls.
Hide child attributes
Hide child attributes
Unique identifier for the record.
Indicates whether the session is active.
Timestamp when the session was authenticated.
Timestamp when the session expires.
Devices associated with the authenticated session.
Bearer JWT issued for REST API calls.
curl --request POST \
--url https://platform.verolabs.co/api/auth/login \
--header 'Content-Type: application/json' \
--data '
{
"identifier": "<string>",
"password": "<string>"
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({identifier: '<string>', password: '<string>'})
};
fetch('https://platform.verolabs.co/api/auth/login', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://platform.verolabs.co/api/auth/login"
payload = {
"identifier": "<string>",
"password": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://platform.verolabs.co/api/auth/login"
payload := strings.NewReader("{\n \"identifier\": \"<string>\",\n \"password\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}using RestSharp;
var options = new RestClientOptions("https://platform.verolabs.co/api/auth/login");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddJsonBody("{\n \"identifier\": \"<string>\",\n \"password\": \"<string>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
falseCURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "POST");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://platform.verolabs.co/api/auth/login");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Content-Type: application/json");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{\n \"identifier\": \"<string>\",\n \"password\": \"<string>\"\n}");
CURLcode ret = curl_easy_perform(hnd);{
"sessionToken": "<string>",
"jwt": "<string>",
"session": {
"id": "<string>",
"active": true,
"authenticated_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"devices": [
{
"ip_address": "<string>",
"location": "<string>",
"user_agent": "<string>"
}
],
"identity": {
"id": "<string>",
"traits": {}
},
"tokenized": "<string>"
},
"tokenizedSession": {
"id": "<string>",
"active": true,
"authenticated_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"devices": [
{
"ip_address": "<string>",
"location": "<string>",
"user_agent": "<string>"
}
],
"identity": {
"id": "<string>",
"traits": {}
},
"tokenized": "<string>"
},
"identity": {
"id": "<string>",
"traits": {}
}
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}
